{
	"name": "form/manager/project-material/columns/project_material.json",
	"columns": [
		{
			"enterable": false,
			"field": "ordr.product_id",
			"name": "Material code",
			"width": 70
		},
		{
			"field": "ordr.description",
			"name": "Name",
			"width": 120
		},
		{
			"cellClassRulesXX": {
				"": "x < 0",
				"blue": "x > 0",
				"grey": "x == 0"
			},
			"cellEditorParamsXX": {
				"dropdown_field": "value",
				"set_dropdown_show_field": "ordr.description",
				"values": "dropdown.product"
			},
			"field": "ordr.waiting_for_delivery",
			"format": "%'.2f",
			"name": "Projekt amount",
			"name2": "Projekt amount",
			"width": 70
		},
		{
			"field": "ordr.unit",
			"name": "Unit",
			"width": 40
		},
		{
			"format": "%'.2f",
			"name": "Ordered",
			"name2": "Ordered",
			"variable": "order_amount",
			"width": 50
		},
		{
			"format": "%'.2f",
			"name": "Arrived",
			"name2": "Arrived",
			"variable": "arrived_amount",
			"width": 50
		},
		{
			"format": "%'.2f",
			"name": "Pending",
			"name2": "Pending",
			"variable": "coming_amount",
			"width": 50
		},
		{
			"cellClassRules": {
				"black": "x > 0",
				"white": "x <= 0"
			},
			"cellClassRulesFunction": {
				"blue": "param.node.data.pr.stock_balance < param.node.data.need_amount"
			},
			"format": "%'.2f",
			"name": "Need",
			"name2": "Need",
			"variable": "need_amount",
			"width": 50
		},
		{
			"cellClassRules": {
				"blue": "x > 0",
				"white": "x <= 0"
			},
			"enterable": true,
			"field": "ordr.order_amount",
			"format": "%'.2f",
			"name": "Purchase amount",
			"width": 75
		},
		{
			"field": "pr.minimum_order_amount",
			"format": "%'.2f",
			"name": "Min. ord. amount",
			"name2": "Min. ord. amount",
			"width": 75
		},
		{
			"cellClass": "blue",
			"enterable": true,
			"field": "ord.company_id",
			"name": "Supplier",
			"width": 70
		},
		{
			"field": "pr.stock_balance",
			"format": "%'.2f",
			"name": "In stock",
			"name2": "In stock",
			"width": 65
		},
		{
			"field": "pr.json_data.coming_amount",
			"format": "%'.2f",
			"name": "Pendint total",
			"width": 60
		},
		{
			"field": "pr.json_data.going_amount",
			"format": "%'.2f",
			"name": "Need total",
			"width": 60
		},
		{
			"field": "pr.json_data.free_amount",
			"format": "%'.2f",
			"name": "Free total",
			"width": 60
		},
		{
			"cellClassRules": {
				"black": "x > 0",
				"white": "x <= 0"
			},
			"format": "%'.2f",
			"hide": true,
			"name": "Sijoiteltu",
			"name2": "Projektin varastossa",
			"variable": "stock_balance",
			"width": 60
		},
		{
			"field": "pr.work_number",
			"hideZ": true,
			"name": "Work number",
			"width": 70
		},
		{
			"field": "pr.storable",
			"hide": true,
			"name": "Varastoidaan",
			"width": 60
		},
		{
			"field": "pr.product_type",
			"hide": true,
			"name": "Tuotteen tyyppi",
			"width": 70
		},
		{
			"field": "pr.default_supplier_id",
			"hide": true,
			"name": "Tuotteen toim.",
			"width": 70
		},
		{
			"field": "pr.name",
			"hide": true,
			"name": "Tuotteen nimi",
			"width": 70
		},
		{
			"field": "pr.stock_unit",
			"hide": true,
			"name": "Varastoyks.",
			"width": 70
		},
		{
			"hide": true,
			"name": "Record type",
			"variable": "ord.record_type",
			"width": 60
		},
		{
			"hide": true,
			"name": "Row record type",
			"variable": "ordr.record_type",
			"width": 60
		},
		{
			"field": "ord.project_id",
			"hide": true,
			"name": "Projekti",
			"width": 50
		}
	],
	"columns_not_in_use": [
		{
			"name": "√",
			"variable": "checkmark",
			"width": 20
		},
		{
			"field": "prst_original_amount",
			"format": "%'.2f",
			"name": "Edell. tarve",
			"name2": "Projektin vanha määrä",
			"width": 50
		},
		{
			"field": "prst_project_id",
			"name": "Projekti",
			"width": 50
		},
		{
			"field": "prst_stock_id",
			"hide": true,
			"name": "Varasto id",
			"width": 60
		},
		{
			"hide": true,
			"name": "Rivin tyyppi",
			"variable": "row_type",
			"width": 70
		},
		{
			"field": "prst_record_id",
			"hide": true,
			"name": "Record id",
			"width": 60
		},
		{
			"field": "pr.stock_vs_design_conversion_multiplier",
			"hideZ": true,
			"name": "Var./ suun. kerroin",
			"width": 70
		}
	],
	"options": {
		"grid_option": {
			"header_height2": 46
		}
	}
}
